POST
Send reaction
Required permission: WhatsApp Chats — Add
Reacts to an existing message by Meta whatsapp_message_id (`wamid.…`). Upserts contact from to, updates Engagive `reaction_json`, then calls Meta. Returns Engagive message `id` and `contact_id`.
Path
/api/business/public/channels/whatsapp/accounts/:accountId/messages/send-reactionExample request body (JSON)
{
"to": "923001234567",
"whatsapp_message_id": "wamid.xxxxx",
"emoji": "👍"
}Example success response (JSON)
{
"success": true,
"statusCode": 201,
"message": "Reaction sent successfully",
"data": {
"id": 900,
"contact_id": 42,
"contact_created": false,
"to": "923001234567",
"whatsapp_message_id": "wamid.xxxxx",
"emoji": "👍",
"reaction_json": {
"outgoing": "👍"
}
}
}Try it
Runs in your browser — token is not stored
If the request fails with a network / CORS error, your API may not allow browser calls from this site. Use curl, Postman, or your server instead. See Postman.
Full request URL
POST https://api.engagive.io/api/business/public/channels/whatsapp/accounts/1/messages/send-reaction